List Generated Reports
curl --request GET \
--url https://v1.api.altostrat.io/reports/sla/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/reports/sla/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/reports/sla/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "sla_2ayc4Yy6w3g7Y2j4g4g4Yy6w3g7",
"report_id": "BCDF-GHJK",
"name": "Monthly Executive SLA Summary",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at_date": "2023-11-07T05:31:56Z",
"sla_target": 99.95,
"downtime_percentage_all_hours": 0.12,
"downtime_percentage_business_hours": 0.05,
"site_count": 42,
"business_hour_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_hour_name": "<string>",
"business_hour_timezone": "<string>",
"shared_url": "<string>",
"json_url": "<string>",
"timestamp": 123
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Generated Reports
List Generated Reports
Retrieves a paginated list of all historically generated reports for the workspace, sorted by creation date in descending order.
GET
/
reports
/
sla
/
reports
List Generated Reports
Authorizations
Enter your authentication token.
Query Parameters
The page number to retrieve.
The number of items to retrieve per page.
Was this page helpful?
⌘I